Package org.fife.ui.rtextarea

## Class RTextAreaHighlighter.HighlightInfoImpl

- java.lang.Object
- - org.fife.ui.rtextarea.RTextAreaHighlighter.HighlightInfoImpl

- All Implemented Interfaces:
    `Highlighter.Highlight`, `RTextAreaHighlighter.HighlightInfo`
  Direct Known Subclasses:
    `RTextAreaHighlighter.LayeredHighlightInfoImpl`
  Enclosing class:
    RTextAreaHighlighter

      protected static class RTextAreaHighlighter.HighlightInfoImpl
      extends Object
      implements RTextAreaHighlighter.HighlightInfo

  A straightforward implementation of `HighlightInfo`.

- - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `HighlightInfoImpl()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Color` | `getColor()` | To be extended by subclasses.
    `int` | `getEndOffset()` |
    `Highlighter.HighlightPainter` | `getPainter()` |
    `int` | `getStartOffset()` |
    `void` | `setEndOffset​(Position endOffset)` |
    `void` | `setPainter​(Highlighter.HighlightPainter painter)` |
    `void` | `setStartOffset​(Position startOffset)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HighlightInfoImpl

          protected HighlightInfoImpl()

  - ### Method Detail

    - #### getColor

          public Color getColor()

      To be extended by subclasses.

    - #### getStartOffset

          public int getStartOffset()

      Specified by:
        `getStartOffset` in interface `Highlighter.Highlight`

    - #### getEndOffset

          public int getEndOffset()

      Specified by:
        `getEndOffset` in interface `Highlighter.Highlight`

    - #### getPainter

          public Highlighter.HighlightPainter getPainter()

      Specified by:
        `getPainter` in interface `Highlighter.Highlight`

    - #### setStartOffset

          public void setStartOffset​(Position startOffset)

    - #### setEndOffset

          public void setEndOffset​(Position endOffset)

    - #### setPainter

          public void setPainter​(Highlighter.HighlightPainter painter)